# Uses of Interface
io.papermc.paper.math.Position

Packages that use Position
Package
Description
io.papermc.paper.math
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of Position in io.papermc.paper.math

Subinterfaces of Position in io.papermc.paper.math
Modifier and Type
Interface
Description
`interface`
`BlockPosition`
A position represented with integers.
`interface`
`FinePosition`
A position represented with doubles.
Methods in io.papermc.paper.math that return Position
Modifier and Type
Method
Description
`@NotNull Position`
Position.`offset(int x, int y, int z)`
Returns a position offset by the specified amounts.

## Uses of Position in org.bukkit

Classes in org.bukkit that implement Position
Modifier and Type
Class
Description
`class`
`Location`
Represents a 3-dimensional position in a world.